@import url("https://fonts.googleapis.com/css2?family=Calligraffitti&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Calligraffitti&family=Goudy+Bookletter+1911&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: #f8f1e8;
}

/* -----------------------------------Header------------------------------- */
.navbar {
  background-color: #2e4f48;
  position: sticky;
  top: 0%;
  z-index: 100;
}

.navbar-content,
p {
  display: flex;
  flex-wrap: wrap;
  max-width: 100%;
  justify-content: center;
  margin-top: 0%;
  font-size: 1.3rem;
  padding: 0.5rem;
  gap: 15rem;
  font-family: "Goudy Bookletter 1911", "sans serif", system-ui;
  align-items: flex-end;
}

.navbar-links {
  margin-left: -9rem;
  display: flex;
  gap: 5rem;
}

.join-newsletter,
h1,
h2,
h3,
h4,
h5,
.subscribe {
  font-family: Calligraffitti, "sans serif", system-ui;
  text-align: center;
  font-weight: 400;
}

.head-text {
  padding: 1rem;
  font-family: "Goudy Bookletter 1911", "sans serif", system-ui;
}

a {
  color: #fff;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

header {
  display: flex;
  justify-content: center;
}

.header-white {
  background-color: #fff;
  margin-bottom: 5rem;
}

/* -----------------------------------loading spinner------------------------------- */

/* From Uiverse.io by Nawsome */

.loader {
  --background: linear-gradient(135deg, #477a6f, #2e4f48);
  --shadow: rgb(39 254 164 / 28%);
  --text: #6c7486;
  --page: rgb(255 255 255 / 36%);
  --page-fold: rgb(255 255 255 / 52%);
  --duration: 3s;

  width: 200px;
  height: 140px;
  position: relative;
  margin: auto;
}

.loader::before,
.loader::after {
  --r: -6deg;

  content: "";
  position: absolute;
  bottom: 8px;
  width: 120px;
  top: 80%;
  box-shadow: 0 16px 12px var(--shadow);
  transform: rotate(var(--r));
}

.loader::before {
  left: 4px;
}

.loader::after {
  --r: 6deg;

  right: 4px;
}

.loader div {
  width: 100%;
  height: 100%;
  border-radius: 13px;
  position: relative;
  z-index: 1;
  perspective: 600px;
  box-shadow: 0 4px 6px var(--shadow);
  background-image: var(--background);
}

.loader div ul {
  margin: 0;
  padding: 0;
  list-style: none;
  position: relative;
}

.loader div ul li {
  --r: 180deg;
  --o: 0;
  --c: var(--page);

  position: absolute;
  top: 10px;
  left: 10px;
  transform-origin: 100% 50%;
  color: var(--c);
  opacity: var(--o);
  transform: rotateY(var(--r));
  animation: var(--duration) ease infinite;
  animation: var(--duration) ease infinite;
}

.loader div ul li:nth-child(2) {
  --c: var(--page-fold);

  animation-name: page-2;
  animation-name: page-2;
}

.loader div ul li:nth-child(3) {
  --c: var(--page-fold);

  animation-name: page-3;
  animation-name: page-3;
}

.loader div ul li:nth-child(4) {
  --c: var(--page-fold);

  animation-name: page-4;
  animation-name: page-4;
}

.loader div ul li:nth-child(5) {
  --c: var(--page-fold);

  animation-name: page-5;
  animation-name: page-5;
}

.loader div ul li svg {
  width: 90px;
  height: 120px;
  display: block;
}

.loader div ul li:first-child {
  --r: 0deg;
  --o: 1;
}

.loader div ul li:last-child {
  --o: 1;
}

.loader span {
  display: block;
  left: 0;
  right: 0;
  top: 100%;
  margin-top: 20px;
  text-align: center;
  color: var(--text);
}

@keyframes page-2 {
  0% {
    transform: rotateY(180deg);
    opacity: 0;
  }

  20% {
    opacity: 1;
  }

  35%,
  100% {
    opacity: 0;
  }

  50%,
  100% {
    transform: rotateY(0deg);
  }
}

@keyframes page-3 {
  15% {
    transform: rotateY(180deg);
    opacity: 0;
  }

  35% {
    opacity: 1;
  }

  50%,
  100% {
    opacity: 0;
  }

  65%,
  100% {
    transform: rotateY(0deg);
  }
}

@keyframes page-4 {
  30% {
    transform: rotateY(180deg);
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  65%,
  100% {
    opacity: 0;
  }

  80%,
  100% {
    transform: rotateY(0deg);
  }
}

@keyframes page-5 {
  45% {
    transform: rotateY(180deg);
    opacity: 0;
  }

  65% {
    opacity: 1;
  }

  80%,
  100% {
    opacity: 0;
  }

  95%,
  100% {
    transform: rotateY(0deg);
  }
}

/* -----------------------------------loading spinner------------------------------- */
h1,
h2,
h4,
h5 {
  color: #9d5d35;
  font-size: 2rem;
}

.button-green,
.more-posts-btn {
  background-color: #2e4f48;
}

.button-brown {
  background-color: #9d5d35;
}

.button:hover,
.button-brown:hover,
.copy-link-btn:hover,
.more-posts-btn:hover {
  transform: scale(1.1);
}

.button,
.more-posts-btn {
  padding: 1rem;
  border-radius: 20px;
  text-align: center;
  text-decoration: none;
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 8rem;
  height: 3rem;
  margin-top: 3rem;
  margin-bottom: 3rem;
  cursor: pointer;
  color: #fff;
  border: none;
  font-family: "Goudy Bookletter 1911", "sans serif";
}

.social-icons {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 2rem;
  margin-bottom: 10rem;
}

.icons {
  padding: 0.5rem;
}

.mushroom {
  margin-top: -2%;
}

.img-wreath {
  display: flex;
  margin: auto;
}

/* -----------------------------------Footer------------------------------- */

.goodreads-wrapper {
  margin-top: 5rem;
  background-color: #9d5d35;
  padding: 2rem;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.gr_grid_container {
  max-width: 70%;
  margin: auto;
}

footer {
  background-color: #2e4f48;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.footer-p {
  color: #fff;
  margin-top: 2rem;
  margin-bottom: 1rem;
}

@media (width <= 1000px) {
  .navbar-content {
    gap: 10rem;
  }
}

@media (width <= 805px) {
  .navbar {
    display: flex;
    flex-direction: column;
    margin: auto;
  }

  .navbar-content {
    gap: 1rem;
  }

  .join-newsletter {
    margin-right: 5rem;
  }

  .navbar-links {
    gap: 2rem;
  }

  .quote-title {
    font-size: 1.4rem;
  }
}

@media (width <= 500px) {
  .floral-wreath {
    width: 347px;
  }
}

@media (width <= 430px) {
  .navbar {
    flex-direction: column;
  }

  .navbar-links {
    margin-left: 0;
  }
}
